summaryrefslogtreecommitdiffstats
path: root/build-artifacts.sh
diff options
context:
space:
mode:
authorJames Mills <prologic@shortcircuit.net.au>2020-08-25 15:25:26 +1000
committerGitHub <noreply@github.com>2020-08-25 15:25:26 +1000
commit11c610af7417ffa8903b40f940a94b4099b4eab7 (patch)
treefbb9ad2db70bc30d733b7b7acd02853aa713cac7 /build-artifacts.sh
parentdde9663f52a73472fb4a7d1b8ba60466fa5230a4 (diff)
Fix the netdata-updater.sh to correctly pass REINSTALL_OPTIONS (finally) (#8808)
* Add support for overriding the URL for installing/updating nightlies * Fix bug with running the makeself archive and importly passing REINSTALL_OPTIONS (not word splitting)
Diffstat (limited to 'build-artifacts.sh')
-rwxr-xr-xbuild-artifacts.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/build-artifacts.sh b/build-artifacts.sh
new file mode 100755
index 0000000000..a759efd6ca
--- /dev/null
+++ b/build-artifacts.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+BASENAME="netdata-$(git describe)"
+
+mkdir -p artifacts
+
+autoreconf -ivf
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/libexec \
+ --with-zlib \
+ --with-math \
+ --with-user=netdata \
+ CFLAGS=-O2
+make dist
+mv "${BASENAME}.tar.gz" artifacts/
+
+USER="" ./packaging/makeself/build-x86_64-static.sh
+
+cp packaging/version artifacts/latest-version.txt
+
+cd artifacts || exit 1
+ln -s "${BASENAME}.tar.gz" netdata-latest.tar.gz
+ln -s "${BASENAME}.gz.run" netdata-latest.gz.run
+sha256sum -b ./* > "sha256sums.txt"